#!/usr/bin/python

import os
import sys

sys.path.insert(0, os.path.dirname(__file__))
import icommon

lock = icommon.lock_add_import_jobs()
if lock is None:
    print "Another instance of add_import_jobs is already running."
    sys.exit(0)
try:
    lp = icommon.get_lp()
    status_db = icommon.StatusDatabase(icommon.sqlite_file)

    icommon.create_import_jobs(lp, status_db)
finally:
    lock.close()
